# (C) 2001-2015 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Altera Program License Subscription 
# Agreement, Altera MegaCore Function License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Altera and sold by 
# Altera or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


#Temporarily workaround for QHD fitter to include the entity name for the nodes (open)
set old_mode [set_project_mode -get_mode_value always_show_entity_name]
set_project_mode -always_show_entity_name on

#**************************************************************
# Set False Path
#**************************************************************

#------------------------------------------------------------------------------------------------------
# FIFOs related constraints in hd_dual_link & 3gb demux blocks
#------------------------------------------------------------------------------------------------------
set fifo_wraclr_collection [get_pins -nowarn -nocase -compatibility_mode *sdi_ii_fifo_retime*wraclr|dff*|clrn] 
foreach_in_collection pins $fifo_wraclr_collection {
   set fifo_wraclr_name [get_object_info -name $pins]
   set_false_path -to [get_pins -nocase -compatibility_mode $fifo_wraclr_name] 
}

set fifo_rdaclr_collection [get_pins -nowarn -nocase -compatibility_mode *sdi_ii_fifo_retime*rdaclr|dff*|clrn]
foreach_in_collection pins $fifo_rdaclr_collection {
   set fifo_rdaclr_name [get_object_info -name $pins]
   set_false_path -to [get_pins -nocase -compatibility_mode $fifo_rdaclr_name]
}

# constraint one instance at a time to avoid set_max_skew apply to all instances
set dlfifo_rdptr_collection [query_collection -list -all [get_keepers -nowarn *u_dual_link_sync*fifo_retime*dcfifo*|rdptr_g\[0\]]]
foreach pin $dlfifo_rdptr_collection {
   # get the path to instance
   regexp {.*u_dual_link_sync.*fifo_retime.*dcfifo:} "$pin" inst_path
   set_max_delay -from [get_keepers ${inst_path}*rdptr_g\[*\]] -to [get_keepers ${inst_path}*wrfull_eq*] 100
   set_min_delay -from [get_keepers ${inst_path}*rdptr_g\[*\]] -to [get_keepers ${inst_path}*wrfull_eq*] -100
   if { [string equal "quartus_sta" $::TimeQuestInfo(nameofexecutable)] } {
     # specify one read clock (launch clock) period
     set_max_skew -from [get_keepers ${inst_path}*rdptr_g\[*\]] -to [get_keepers ${inst_path}*wrfull_eq*] 6.734
   }
}

set dlfifo_delayed_wrptr_collection [query_collection -list -all [get_keepers -nowarn *u_dual_link_sync*fifo_retime*dcfifo*|delayed_wrptr_g\[0\]]]
foreach pin $dlfifo_delayed_wrptr_collection {
   # get the path to instance
   regexp {.*u_dual_link_sync.*fifo_retime.*dcfifo:} "$pin" inst_path
   set_max_delay -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rdemp_eq*] 100
   set_min_delay -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rdemp_eq*] -100
   if { [string equal "quartus_sta" $::TimeQuestInfo(nameofexecutable)] } {
     # specify one write clock (launch clock) period
       set_max_skew -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rdemp_eq*] 6.734
   }
}

set b2afifoa_rdptr_collection [query_collection -list -all [get_keepers -nowarn *3gb_demux*b2a_retime*u_fifo_a*|rdptr_g\[0\]]]
foreach pin $b2afifoa_rdptr_collection {
   # get the path to instance
   regexp {.*3gb_demux.*b2a_retime.*u_fifo_a|} "$pin" inst_path
   set_max_delay -from [get_keepers ${inst_path}*rdptr_g\[*\]] -to [get_keepers ${inst_path}*wrfull_eq*] 100
   set_min_delay -from [get_keepers ${inst_path}*rdptr_g\[*\]] -to [get_keepers ${inst_path}*wrfull_eq*] -100
   if { [string equal "quartus_sta" $::TimeQuestInfo(nameofexecutable)] } {
     # specify one read clock (launch clock) period
     set_max_skew -from [get_keepers ${inst_path}*rdptr_g\[*\]] -to [get_keepers ${inst_path}*wrfull_eq*] 6.734
   }
}

set b2afifoa_delayed_wrptr_collection [query_collection -list -all [get_keepers -nowarn *3gb_demux*b2a_retime*u_fifo_a*|delayed_wrptr_g\[0\]]]
foreach pin $b2afifoa_delayed_wrptr_collection {
   # get the path to instance
   regexp {.*3gb_demux.*b2a_retime.*u_fifo_a|} "$pin" inst_path

   set_max_delay -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rs_dgwp|dffpipe*] 100
   set_min_delay -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rs_dgwp|dffpipe*] -100
   set_net_delay -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rs_dgwp|dffpipe*] -max 2
   if { [string equal "quartus_sta" $::TimeQuestInfo(nameofexecutable)] } {
     # specify one write clock (launch clock) period
       set_max_skew -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rs_dgwp|dffpipe*] 6.734
   }
   
   set_max_delay -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rdemp_eq*] 100
   set_min_delay -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rdemp_eq*] -100
   if { [string equal "quartus_sta" $::TimeQuestInfo(nameofexecutable)] } {
     # specify one write clock (launch clock) period
       set_max_skew -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rdemp_eq*] 6.734
   }
}

set b2afifob_rdptr_collection [query_collection -list -all [get_keepers -nowarn *3gb_demux*b2a_retime*u_fifo_b*|rdptr_g\[0\]]]
foreach pin $b2afifob_rdptr_collection {
   # get the path to instance
   regexp {.*3gb_demux.*b2a_retime.*u_fifo_b|} "$pin" inst_path
   set_max_delay -from [get_keepers ${inst_path}*rdptr_g\[*\]] -to [get_keepers ${inst_path}*wrfull_eq*] 100
   set_min_delay -from [get_keepers ${inst_path}*rdptr_g\[*\]] -to [get_keepers ${inst_path}*wrfull_eq*] -100
   if { [string equal "quartus_sta" $::TimeQuestInfo(nameofexecutable)] } {
     # specify one read clock (launch clock) period
     set_max_skew -from [get_keepers ${inst_path}*rdptr_g\[*\]] -to [get_keepers ${inst_path}*wrfull_eq*] 6.734
   }
}

set b2afifob_delayed_wrptr_collection [query_collection -list -all [get_keepers -nowarn *3gb_demux*b2a_retime*u_fifo_b*|delayed_wrptr_g\[0\]]]
foreach pin $b2afifob_delayed_wrptr_collection {
   # get the path to instance
   regexp {.*3gb_demux.*b2a_retime.*u_fifo_b|} "$pin" inst_path
   set_max_delay -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rdemp_eq*] 100
   set_min_delay -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rdemp_eq*] -100
   if { [string equal "quartus_sta" $::TimeQuestInfo(nameofexecutable)] } {
     # specify one write clock (launch clock) period
       set_max_skew -from [get_keepers ${inst_path}*delayed_wrptr_g\[*\]] -to [get_keepers ${inst_path}*rdemp_eq*] 6.734
   }
}

#-----------------------------------------------------------------------------------------------------------------------------
# Set false path for first stage of synchronizer
#------------------------------------------------------------------------------------------------------------------------------
set fifo_wrfull_sync_collection [get_keepers -nowarn *u_dual_link_sync*wrfull*clk_sync\[0\]]
foreach_in_collection kpr $fifo_wrfull_sync_collection {
    set fifo_wrfull_sync_name [get_object_info -name $kpr]
    set_false_path -to [get_keepers $fifo_wrfull_sync_name]
}

#-----------------------------------------------------------------------------------------------------------------------------
# Set false path for pseudo static signals to dual_link block is different when A to B conversion is enabled.
#------------------------------------------------------------------------------------------------------------------------------
if { [llength [query_collection -report -all [get_keepers -nowarn -nocase *u_dual_link_sync|vpid_fifo_a2b.vpid_line_f*_sync[*]]]] > 0} {
    set_false_path -to [get_keepers -no_case *u_dual_link_sync|vpid_fifo_a2b.vpid_line_f*_sync[*]]
    set_false_path -from [get_keepers -nocase {*u_receive|*u_format|trs_locked}] -to [get_keepers -nocase {*u_dual_link_sync|*}]
    set_false_path -from [get_keepers -nocase {*u_rx_prealign|*u_align|align_locked}] -to [get_keepers -nocase {*u_dual_link_sync|*}]
}

#Temporarily workaround for QHD fitter to include the entity name for the nodes (close)
set_project_mode -always_show_entity_name $old_mode
