
# (C) 2001-2016 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and 
# other software and tools, and its AMPP partner logic functions, and 
# any output files any of the foregoing (including device programming 
# or simulation files), and any associated documentation or information 
# are expressly subject to the terms and conditions of the Altera 
# Program License Subscription Agreement, Altera MegaCore Function 
# License Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Altera and sold by Altera 
# or its authorized distributors. Please refer to the applicable 
# agreement for further details.

# ACDS 15.1 185 linux 2016.03.08.16:38:04

# ----------------------------------------
# vcsmx - auto-generated simulation script

# ----------------------------------------
# This script can be used to simulate the following IP:
#     SDI_II_duplex
# To create a top-level simulation script which compiles other
# IP, and manages other system issues, copy the following template
# and adapt it to your needs:
# 
# # Start of template
# # If the copied and modified template file is "vcsmx_sim.sh", run it as:
# #   ./vcsmx_sim.sh
# #
# # Do the file copy, dev_com and com steps
# source vcsmx_setup.sh \
# SKIP_ELAB=1 \
# SKIP_SIM=1
# 
# # Compile the top level module
# vlogan +v2k +systemverilogext+.sv "$QSYS_SIMDIR/../top.sv"
# 
# # Do the elaboration and sim steps
# # Override the top-level name
# # Override the user-defined sim options, so the simulation runs 
# # forever (until $finish()).
# source vcsmx_setup.sh \
# SKIP_FILE_COPY=1 \
# SKIP_DEV_COM=1 \
# SKIP_COM=1 \
# TOP_LEVEL_NAME="'-top top'" \
# USER_DEFINED_SIM_OPTIONS=""
# # End of template
# ----------------------------------------
# If SDI_II_duplex is one of several IP cores in your
# Quartus project, you can generate a simulation script
# suitable for inclusion in your top-level simulation
# script by running the following command line:
# 
# ip-setup-simulation --quartus-project=<quartus project>
# 
# ip-setup-simulation will discover the Altera IP
# within the Quartus project, and generate a unified
# script which supports all the Altera IP within the design.
# ----------------------------------------
# ACDS 15.1 185 linux 2016.03.08.16:38:04
# ----------------------------------------
# initialize variables
TOP_LEVEL_NAME="SDI_II_duplex"
QSYS_SIMDIR="./../../"
QUARTUS_INSTALL_DIR="/swip_build/archive/acds/15.1/185/linux64/quartus/"
SKIP_FILE_COPY=0
SKIP_DEV_COM=0
SKIP_COM=0
SKIP_ELAB=0
SKIP_SIM=0
USER_DEFINED_ELAB_OPTIONS=""
USER_DEFINED_SIM_OPTIONS="+vcs+finish+100"

# ----------------------------------------
# overwrite variables - DO NOT MODIFY!
# This block evaluates each command line argument, typically used for 
# overwriting variables. An example usage:
#   sh <simulator>_setup.sh SKIP_ELAB=1 SKIP_SIM=1
for expression in "$@"; do
  eval $expression
  if [ $? -ne 0 ]; then
    echo "Error: This command line argument, \"$expression\", is/has an invalid expression." >&2
    exit $?
  fi
done

# ----------------------------------------
# initialize simulation properties - DO NOT MODIFY!
ELAB_OPTIONS=""
SIM_OPTIONS=""
if [[ `vcs -platform` != *"amd64"* ]]; then
  :
else
  :
fi

# ----------------------------------------
# create compilation libraries
mkdir -p ./libraries/work/
mkdir -p ./libraries/u_rx_phy_mgmt/
mkdir -p ./libraries/u_rx_protocol/
mkdir -p ./libraries/tx_rst_coreclk_sync/
mkdir -p ./libraries/u_tx_phy_mgmt/
mkdir -p ./libraries/u_tx_protocol/
mkdir -p ./libraries/u_tx_phy_rst_ctrl/
mkdir -p ./libraries/u_phy/
mkdir -p ./libraries/u_phy_adapter/
mkdir -p ./libraries/SDI_II_duplex/
mkdir -p ./libraries/altera_ver/
mkdir -p ./libraries/lpm_ver/
mkdir -p ./libraries/sgate_ver/
mkdir -p ./libraries/altera_mf_ver/
mkdir -p ./libraries/altera_lnsim_ver/
mkdir -p ./libraries/stratixv_ver/
mkdir -p ./libraries/stratixv_hssi_ver/
mkdir -p ./libraries/stratixv_pcie_hip_ver/

# ----------------------------------------
# copy RAM/ROM files to simulation directory

# ----------------------------------------
# compile device library files
if [ $SKIP_DEV_COM -eq 0 ]; then
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives.v"                       -work altera_ver           
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/220model.v"                                -work lpm_ver              
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate.v"                                   -work sgate_ver            
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf.v"                               -work altera_mf_ver        
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_lnsim.sv"                           -work altera_lnsim_ver     
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/synopsys/stratixv_atoms_ncrypt.v"          -work stratixv_ver         
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_atoms.v"                          -work stratixv_ver         
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/synopsys/stratixv_hssi_atoms_ncrypt.v"     -work stratixv_hssi_ver    
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_hssi_atoms.v"                     -work stratixv_hssi_ver    
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/synopsys/stratixv_pcie_hip_atoms_ncrypt.v" -work stratixv_pcie_hip_ver
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_pcie_hip_atoms.v"                 -work stratixv_pcie_hip_ver
fi

# ----------------------------------------
# compile design files in correct order
if [ $SKIP_COM -eq 0 ]; then
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_phy_mgmt/synopsys/src_hdl/sdi_ii_rx_phy_mgmt.v"         -work u_rx_phy_mgmt      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_phy_mgmt/synopsys/src_hdl/sdi_ii_rx_sample.v"           -work u_rx_phy_mgmt      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_phy_mgmt/synopsys/src_hdl/sdi_ii_rx_xcvr_ctrl_native.v" -work u_rx_phy_mgmt      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_phy_mgmt/synopsys/src_hdl/sdi_ii_rx_xcvr_interface.v"   -work u_rx_phy_mgmt      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_phy_mgmt/synopsys/src_hdl/sdi_ii_rx_vid_std_detect.v"   -work u_rx_phy_mgmt      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_phy_mgmt/synopsys/src_hdl/sdi_ii_rx_rate_detect.v"      -work u_rx_phy_mgmt      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_rx_protocol.v"         -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_hd_crc.v"              -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_hd_extract_ln.v"       -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_3gb_demux.v"           -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_trs_aligner.v"         -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_descrambler.v"         -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_format.v"              -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_receive.v"             -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_vpid_extract.v"        -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_trsmatch.v"            -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_hd_dual_link.v"        -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_fifo_retime.v"         -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_rx_protocol/synopsys/src_hdl/sdi_ii_rx_prealign.v"         -work u_rx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/altera_reset_controller/altera_reset_controller.v"                -work tx_rst_coreclk_sync
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/altera_reset_controller/altera_reset_synchronizer.v"              -work tx_rst_coreclk_sync
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_phy_mgmt/synopsys/src_hdl/sdi_ii_tx_phy_mgmt.v"         -work u_tx_phy_mgmt      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_phy_mgmt/synopsys/src_hdl/sdi_ii_tx_sample.v"           -work u_tx_phy_mgmt      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_phy_mgmt/synopsys/src_hdl/sdi_ii_tx_xcvr_interface.v"   -work u_tx_phy_mgmt      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_phy_mgmt/synopsys/src_hdl/sdi_ii_tx_ce_gen.v"           -work u_tx_phy_mgmt      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_protocol/synopsys/src_hdl/sdi_ii_tx_protocol.v"         -work u_tx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_protocol/synopsys/src_hdl/sdi_ii_hd_crc.v"              -work u_tx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_protocol/synopsys/src_hdl/sdi_ii_hd_insert_ln.v"        -work u_tx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_protocol/synopsys/src_hdl/sdi_ii_scrambler.v"           -work u_tx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_protocol/synopsys/src_hdl/sdi_ii_transmit.v"            -work u_tx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_protocol/synopsys/src_hdl/sdi_ii_vpid_insert.v"         -work u_tx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_protocol/synopsys/src_hdl/sdi_ii_trsmatch.v"            -work u_tx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_protocol/synopsys/src_hdl/sdi_ii_sd_bits_conv.v"        -work u_tx_protocol      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_tx_protocol/synopsys/src_hdl/sdi_ii_sync_bit_ins.v"        -work u_tx_protocol      
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_reset_control/altera_xcvr_functions.sv"               -work u_tx_phy_rst_ctrl  
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_reset_control/alt_xcvr_resync.sv"                     -work u_tx_phy_rst_ctrl  
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_reset_control/altera_xcvr_reset_control.sv"           -work u_tx_phy_rst_ctrl  
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_reset_control/alt_xcvr_reset_counter.sv"              -work u_tx_phy_rst_ctrl  
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/altera_xcvr_functions.sv"                   -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_pcs.sv"                                  -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_pcs_ch.sv"                               -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_pma.sv"                                  -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_reconfig_bundle_to_xcvr.sv"              -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_reconfig_bundle_to_ip.sv"                -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_reconfig_bundle_merger.sv"               -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_rx_pma.sv"                               -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_tx_pma.sv"                               -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_tx_pma_ch.sv"                            -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_xcvr_h.sv"                               -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_xcvr_avmm_csr.sv"                        -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_xcvr_avmm_dcd.sv"                        -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_xcvr_avmm.sv"                            -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_xcvr_data_adapter.sv"                    -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_xcvr_native.sv"                          -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_xcvr_plls.sv"                            -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/alt_xcvr_resync.sv"                         -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_10g_rx_pcs_rbc.sv"                  -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_10g_tx_pcs_rbc.sv"                  -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_8g_rx_pcs_rbc.sv"                   -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_8g_tx_pcs_rbc.sv"                   -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_8g_pcs_aggregate_rbc.sv"            -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_common_pcs_pma_interface_rbc.sv"    -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_common_pld_pcs_interface_rbc.sv"    -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_pipe_gen1_2_rbc.sv"                 -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_pipe_gen3_rbc.sv"                   -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_rx_pcs_pma_interface_rbc.sv"        -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_rx_pld_pcs_interface_rbc.sv"        -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_tx_pcs_pma_interface_rbc.sv"        -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/sv_hssi_tx_pld_pcs_interface_rbc.sv"        -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/altera_xcvr_native_sv_functions_h.sv"       -work u_phy              
  vlogan +v2k -sverilog $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_native_sv/altera_xcvr_native_sv.sv"                   -work u_phy              
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii_phy_adapter/sdi_ii_phy_adapter.v"                          -work u_phy_adapter      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/sdi_ii/sdi_ii_0001.v"                                             -work SDI_II_duplex      
  vlogan +v2k $USER_DEFINED_COMPILE_OPTIONS           "$QSYS_SIMDIR/SDI_II_duplex.v"                                                                           
fi

# ----------------------------------------
# elaborate top level design
if [ $SKIP_ELAB -eq 0 ]; then
  vcs -lca -t ps $ELAB_OPTIONS $USER_DEFINED_ELAB_OPTIONS $TOP_LEVEL_NAME
fi

# ----------------------------------------
# simulate
if [ $SKIP_SIM -eq 0 ]; then
  ./simv $SIM_OPTIONS $USER_DEFINED_SIM_OPTIONS
fi
