##cd /data/sklim/Example_design/sample_top_SV_DSP_triple_Rate_15_1/sc_tcl

set jtag_master [lindex [get_service_paths master] 0];
open_service master $jtag_master;

#1=SD, 2=HD,3=3G
set SDI_mode     2 

set CVO_ADDRESS 				0x00000;
set TPG_ADDRESS 				0x00400;
set Interlacer_ADDRESS 				0x00420;

#Go bit to zero
master_write_32 $jtag_master [expr {$TPG_ADDRESS+4*0}] 0x00000000; #Go bit to 0
master_write_32 $jtag_master [expr {$Interlacer_ADDRESS+4*0}] 0x00000000; #Go bit to 0
master_write_32 $jtag_master [expr {$CVO_ADDRESS+4*0}] 0x00000000; #Go bit to 0

#configure CVO
source video_format.tcl

#setup TPG
if {$SDI_mode == 3} {
master_write_32 $jtag_master [expr {$TPG_ADDRESS+4*3}] 1920; #
master_write_32 $jtag_master [expr {$TPG_ADDRESS+4*4}] 1080; #
puts "1080p60 3G SDI";
} elseif {$SDI_mode == 2}  {
master_write_32 $jtag_master [expr {$TPG_ADDRESS+4*3}] 1280; #
master_write_32 $jtag_master [expr {$TPG_ADDRESS+4*4}] 720; #
puts "720p60 HD SDI";
} else {
master_write_32 $jtag_master [expr {$TPG_ADDRESS+4*3}] 720; #
master_write_32 $jtag_master [expr {$TPG_ADDRESS+4*4}] 576; #
puts "PAL SD SDI";
}

# set interlacer
if {$SDI_mode == 1} {
master_write_32 $jtag_master [expr {$Interlacer_ADDRESS+4*2}] 0x00000000; 
} else {
master_write_32 $jtag_master [expr {$Interlacer_ADDRESS+4*2}] 0x00000001; # progressive input are propagated
}
# set go bit
master_write_32 $jtag_master [expr {$TPG_ADDRESS+4*0}] 0x00000001; #Go bit to 1
master_write_32 $jtag_master [expr {$Interlacer_ADDRESS+4*0}] 0x00000001; #Go bit to 1
master_write_32 $jtag_master [expr {$CVO_ADDRESS+4*0}] 0x00000001; #Go bit to 1


close_service master $jtag_master;
puts "\nInfo: Closed JTAG Master Service\n\n";


