-- vip_system_alt_vip_itl_0_tb.vhd


library IEEE;
library altera;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;
use altera.alt_cusp151_package.all;

entity vip_system_alt_vip_itl_0_tb is
end entity vip_system_alt_vip_itl_0_tb;

architecture rtl of vip_system_alt_vip_itl_0_tb is
	component alt_cusp151_clock_reset is
		port (
			clock : out std_logic;
			reset : out std_logic
		);
	end component alt_cusp151_clock_reset;

	component vip_system_alt_vip_itl_0 is
		generic (
			PARAMETERISATION                      : string := "<interlacerParams><ITL_NAME>my_interlacing_core</ITL_NAME><ITL_MAX_WIDTH>640</ITL_MAX_WIDTH><ITL_MAX_HEIGHT>480</ITL_MAX_HEIGHT><ITL_BPS>8</ITL_BPS><ITL_CHANNELS_IN_SEQ>3</ITL_CHANNELS_IN_SEQ><ITL_CHANNELS_IN_PAR>1</ITL_CHANNELS_IN_PAR><ITL_FIRST_FIELD>FIELD_F0_FIRST</ITL_FIRST_FIELD><ITL_NO_BUFFERING>true</ITL_NO_BUFFERING><ITL_DROP_FRAMES>false</ITL_DROP_FRAMES><ITL_REPEAT_FIELDS>false</ITL_REPEAT_FIELDS><ITL_FRAMEBUFFERS_ADDR>00</ITL_FRAMEBUFFERS_ADDR><ITL_MEM_PORT_WIDTH>64</ITL_MEM_PORT_WIDTH><ITL_MEM_MASTERS_USE_SEPARATE_CLOCK>0</ITL_MEM_MASTERS_USE_SEPARATE_CLOCK><ITL_RDATA_FIFO_DEPTH>64</ITL_RDATA_FIFO_DEPTH><ITL_RDATA_BURST_TARGET>32</ITL_RDATA_BURST_TARGET><ITL_WDATA_FIFO_DEPTH>64</ITL_WDATA_FIFO_DEPTH><ITL_WDATA_BURST_TARGET>32</ITL_WDATA_BURST_TARGET><ITL_MAX_NUMBER_PACKETS>0</ITL_MAX_NUMBER_PACKETS><ITL_MAX_SYMBOLS_IN_PACKET>1</ITL_MAX_SYMBOLS_IN_PACKET><ITL_PROPAGATE_INTERLACED>1</ITL_PROPAGATE_INTERLACED><ITL_RUNTIME_CONTROL>0</ITL_RUNTIME_CONTROL><ITL_SYNC_SELECTION>0</ITL_SYNC_SELECTION></interlacerParams>";
			AUTO_DEVICE_FAMILY                    : string := "";
			AUTO_ITL_CONTROL_CLOCKS_SAME          : string := "0";
			AUTO_READ_MASTER_CLOCKS_SAME          : string := "0";
			AUTO_READ_MASTER_INTERRUPT_USED_MASK  : string := "-1";
			AUTO_READ_MASTER_MAX_READ_LATENCY     : string := "2";
			AUTO_READ_MASTER_NEED_ADDR_WIDTH      : string := "62";
			AUTO_WRITE_MASTER_CLOCKS_SAME         : string := "0";
			AUTO_WRITE_MASTER_INTERRUPT_USED_MASK : string := "-1";
			AUTO_WRITE_MASTER_MAX_READ_LATENCY    : string := "2";
			AUTO_WRITE_MASTER_NEED_ADDR_WIDTH     : string := "62"
		);
		port (
			clock                      : in  std_logic                     := 'X';
			din_data                   : in  std_logic_vector(19 downto 0) := (others => 'X');
			din_endofpacket            : in  std_logic                     := 'X';
			din_ready                  : out std_logic;
			din_startofpacket          : in  std_logic                     := 'X';
			din_valid                  : in  std_logic                     := 'X';
			dout_data                  : out std_logic_vector(19 downto 0);
			dout_endofpacket           : out std_logic;
			dout_ready                 : in  std_logic                     := 'X';
			dout_startofpacket         : out std_logic;
			dout_valid                 : out std_logic;
			itl_control_av_address     : in  std_logic_vector(1 downto 0)  := (others => 'X');
			itl_control_av_chipselect  : in  std_logic                     := 'X';
			itl_control_av_readdata    : out std_logic_vector(7 downto 0);
			itl_control_av_waitrequest : out std_logic;
			itl_control_av_write       : in  std_logic                     := 'X';
			itl_control_av_writedata   : in  std_logic_vector(7 downto 0)  := (others => 'X');
			reset                      : in  std_logic                     := 'X'
		);
	end component vip_system_alt_vip_itl_0;

	signal dut_din_ready     : std_logic;                    -- dut:din_ready -> din_tester:data
	signal din_tester_q      : std_logic_vector(0 downto 0); -- din_tester:q -> dut:din_valid
	signal builtin_1_w1_q    : std_logic_vector(0 downto 0); -- ["1", builtin_1_w1:q, "1"] -> [din_tester:ena, dut:dout_ready]
	signal clocksource_clock : std_logic;                    -- clocksource:clock -> [dut:clock, din_tester:clock]
	signal clocksource_reset : std_logic;                    -- clocksource:reset -> din_tester:reset

begin

	builtin_1_w1_q <= "1";

	clocksource : component alt_cusp151_clock_reset
		port map (
			clock => clocksource_clock, -- clock.clk
			reset => clocksource_reset  --      .reset
		);

	dut : component vip_system_alt_vip_itl_0
		generic map (
			PARAMETERISATION                      => "<interlacerParams><ITL_NAME>my_interlacing_core</ITL_NAME><ITL_MAX_WIDTH>1920</ITL_MAX_WIDTH><ITL_MAX_HEIGHT>1080</ITL_MAX_HEIGHT><ITL_BPS>10</ITL_BPS><ITL_CHANNELS_IN_SEQ>1</ITL_CHANNELS_IN_SEQ><ITL_CHANNELS_IN_PAR>2</ITL_CHANNELS_IN_PAR><ITL_FIRST_FIELD>FIELD_F0_FIRST</ITL_FIRST_FIELD><ITL_NO_BUFFERING>true</ITL_NO_BUFFERING><ITL_DROP_FRAMES>false</ITL_DROP_FRAMES><ITL_REPEAT_FIELDS>false</ITL_REPEAT_FIELDS><ITL_FRAMEBUFFERS_ADDR>00</ITL_FRAMEBUFFERS_ADDR><ITL_MEM_PORT_WIDTH>64</ITL_MEM_PORT_WIDTH><ITL_MEM_MASTERS_USE_SEPARATE_CLOCK>0</ITL_MEM_MASTERS_USE_SEPARATE_CLOCK><ITL_RDATA_FIFO_DEPTH>64</ITL_RDATA_FIFO_DEPTH><ITL_RDATA_BURST_TARGET>32</ITL_RDATA_BURST_TARGET><ITL_WDATA_FIFO_DEPTH>64</ITL_WDATA_FIFO_DEPTH><ITL_WDATA_BURST_TARGET>32</ITL_WDATA_BURST_TARGET><ITL_MAX_NUMBER_PACKETS>0</ITL_MAX_NUMBER_PACKETS><ITL_MAX_SYMBOLS_IN_PACKET>1</ITL_MAX_SYMBOLS_IN_PACKET><ITL_PROPAGATE_INTERLACED>false</ITL_PROPAGATE_INTERLACED><ITL_RUNTIME_CONTROL>true</ITL_RUNTIME_CONTROL><ITL_SYNC_SELECTION>0</ITL_SYNC_SELECTION></interlacerParams>",
			AUTO_DEVICE_FAMILY                    => "Stratix V",
			AUTO_ITL_CONTROL_CLOCKS_SAME          => "0",
			AUTO_READ_MASTER_CLOCKS_SAME          => "0",
			AUTO_READ_MASTER_INTERRUPT_USED_MASK  => "-1",
			AUTO_READ_MASTER_MAX_READ_LATENCY     => "2",
			AUTO_READ_MASTER_NEED_ADDR_WIDTH      => "62",
			AUTO_WRITE_MASTER_CLOCKS_SAME         => "0",
			AUTO_WRITE_MASTER_INTERRUPT_USED_MASK => "-1",
			AUTO_WRITE_MASTER_MAX_READ_LATENCY    => "2",
			AUTO_WRITE_MASTER_NEED_ADDR_WIDTH     => "62"
		)
		port map (
			clock                      => clocksource_clock, --       clock.clk
			reset                      => open,              --       reset.reset
			din_ready                  => dut_din_ready,     --         din.ready
			din_valid                  => din_tester_q(0),   --            .valid
			din_data                   => open,              --            .data
			din_startofpacket          => open,              --            .startofpacket
			din_endofpacket            => open,              --            .endofpacket
			dout_ready                 => '1',               --        dout.ready
			dout_valid                 => open,              --            .valid
			dout_data                  => open,              --            .data
			dout_startofpacket         => open,              --            .startofpacket
			dout_endofpacket           => open,              --            .endofpacket
			itl_control_av_chipselect  => open,              -- itl_control.chipselect
			itl_control_av_write       => open,              --            .write
			itl_control_av_address     => open,              --            .address
			itl_control_av_writedata   => open,              --            .writedata
			itl_control_av_readdata    => open,              --            .readdata
			itl_control_av_waitrequest => open               --            .waitrequest
		);

	din_tester : process (clocksource_clock, clocksource_reset)
	begin
		if clocksource_reset = '1' then
			din_tester_q(0) <= '0';
		elsif clocksource_clock'EVENT and clocksource_clock = '1' and builtin_1_w1_q(0) = '1' then
			din_tester_q(0) <= dut_din_ready;
		end if;
	end process;

end architecture rtl; -- of vip_system_alt_vip_itl_0_tb
